<?php declare(strict_types=1);

namespace KorElf\TranslateLaravel\DTO;

final class Translated
{
    private array $data = [];

    public function add(string $key, int $parts): self
    {
        $this->data[$key] = $parts;

        return $this;
    }

    public function toArray(): array
    {
        return $this->data;
    }
}