<?php declare(strict_types=1);

namespace KorElf\TranslateLaravel\DTO;

final readonly class ProcessTranslateLimit
{
    public function __construct(
        private int    $maxRequest,
        private int    $rateSeconds,
        private string $driver,
    ) { }

    public function getMaxRequest(): int
    {
        return $this->maxRequest;
    }

    public function getRateSeconds(): int
    {
        return $this->rateSeconds;
    }

    public function getDriver(): string
    {
        return $this->driver;
    }
}