<?php declare(strict_types=1);

namespace KorElf\TranslateLaravel\Enums;

enum TextType: string
{
    case Text = 'text';
    case Html = 'html';

    public function functionName(): string
    {
        return match ($this) {
            self::Text => 'translateText',
            self::Html => 'translateHtml',
        };
    }
}
